package siprp.higiene.relatorio.print;

import org.jdom.Element;

public class MedidaToPrint
	implements PrintableInterface
{
	protected String requisitosLegais;
	
	public MedidaToPrint( String requisitosLegais )
	{
		super();
		this.requisitosLegais = requisitosLegais;
	}

	@Override
	public Element toJdomElement() throws Exception
	{
		Element medidaElement = new Element( "medida" );
		Element requisitosLegaisElement = new Element( "requisitos-legais" );
		requisitosLegaisElement.setText( requisitosLegais );
		medidaElement.addContent( requisitosLegaisElement );
		return medidaElement;
	}
}
